Bug 859344 - Adding disk: Uncaught error validating hardware input: coercing to Unicode: need string or buffer, NoneType found
Adding disk: Uncaught error validating hardware input: coercing to Unicode: n...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 05:05 EDT by Stef Walter
Modified: 2012-11-28 09:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 09:59:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the dialog (227.53 KB, image/png)
2012-09-21 05:05 EDT, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2012-09-21 05:05:05 EDT
Created attachment 615308 [details]
Screenshot of the dialog

Description of problem:

When adding a disk I got the following exception. You can see in the screenshot the state the dialog I was using to add the disk.

Uncaught error validating hardware input: coercing to Unicode: need string or buffer, NoneType found

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 877, in finish
    if self.validate(notebook.get_current_page()) == False:
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 1196, in validate
    return self.validate_page_storage()
  File "/usr/share/virt-manager/virtManager/addhardware.py", line 1316, in validate_page_storage
    self.conn, disk.path)
  File "/usr/share/virt-manager/virtManager/uihelpers.py", line 893, in check_path_search_for_qemu
    broken_paths = VirtualDisk.check_path_search_for_user(conn.vmm, path, user)
  File "/usr/lib/python2.7/site-packages/virtinst/VirtualDisk.py", line 397, in check_path_search_for_user
    if os.path.isdir(path):
  File "/usr/lib64/python2.7/genericpath.py", line 41, in isdir
    st = os.stat(s)
TypeError: coercing to Unicode: need string or buffer, NoneType found

Version-Release number of selected component (if applicable):

Installed Packages
Name        : libvirt
Arch        : x86_64
Version     : 0.9.11.5
Release     : 3.fc17

Steps to Reproduce:
1. Select a running VM-
2. Go to hardware details
3. Click 'Add Hardware'
4. Select 'Storage'
5. Fill out like attached image.
Comment 1 Cole Robinson 2012-10-13 22:41:55 EDT
Thanks for the report Stefan. Fixed upstream now:

http://git.fedorahosted.org/cgit/python-virtinst.git/commit/?id=31d817c42771afb3e9974d099379986b838c233a
Comment 2 Fedora Update System 2012-10-24 08:24:03 EDT
python-virtinst-0.600.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-virtinst-0.600.3-2.fc17
Comment 3 Fedora Update System 2012-10-24 19:58:13 EDT
Package python-virtinst-0.600.3-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-virtinst-0.600.3-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16854/python-virtinst-0.600.3-2.fc17
then log in and leave karma (feedback).
Comment 4 Cole Robinson 2012-11-28 09:59:18 EST
virt-manager-0.9.4-2.fc17 is in stable now

Note You need to log in before you can comment on or make changes to this bug.